Skip to main content
GET
/
v1
/
rewards
/
{id}
/
codes
List reward codes
curl --request GET \
  --url https://api.oneofnone.io/v1/rewards/{id}/codes \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "reservedFor": "<string>",
      "redeemedBy": "<string>",
      "redeemedAt": "<string>",
      "orderId": "<string>",
      "externalOrderId": "<string>",
      "createdAt": "<string>",
      "expiresAt": "<string>",
      "updatedAt": "<string>",
      "externalIds": {
        "shopify": {
          "discountId": "<string>",
          "codeId": "<string>",
          "syncedAt": "<string>",
          "error": "<string>"
        },
        "stripe": {
          "discountId": "<string>",
          "codeId": "<string>",
          "syncedAt": "<string>",
          "error": "<string>"
        }
      }
    }
  ],
  "pagination": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Query Parameters

status
enum<string>
Available options:
available,
reserved,
redeemed,
expired,
revoked
limit
number
Required range: 1 <= x <= 1000
offset
number
order
enum<string>
Available options:
asc,
desc
order_by
string
include_count
boolean

Response

Successful response

data
(object | null)[]
required
pagination
object
required